$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2023.5.1/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2023.5.1/cloudflared-windows-amd64.exe'

  checksum      = 'c01356092a365b84f84f0e66870bd1a05ba3feb53cafd973fa5fea2534bee234'
  checksumType  = 'sha256'
  checksum64    = 'b3f9c06151e30ee43d39e788a79cd918a314f24e04fe87f3de8272a2057b624f'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
